Package com.google.gwt.user.client.ui

## Class ListenerWrapper.WrappedOldSuggestionHandler

- java.lang.Object
- - com.google.gwt.user.client.BaseListenerWrapper<T>
  - - com.google.gwt.user.client.ui.ListenerWrapper<SuggestionHandler>
    - - com.google.gwt.user.client.ui.ListenerWrapper.WrappedOldSuggestionHandler

- All Implemented Interfaces:
    `SelectionHandler<SuggestOracle.Suggestion>`, `EventHandler`
  Enclosing class:
    ListenerWrapper<T>

      static class ListenerWrapper.WrappedOldSuggestionHandler
      extends ListenerWrapper<SuggestionHandler>
      implements SelectionHandler<SuggestOracle.Suggestion>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.ListenerWrapper

      `ListenerWrapper.WrappedChangeListener, ListenerWrapper.WrappedClickListener, ListenerWrapper.WrappedFocusListener, ListenerWrapper.WrappedKeyboardListener, ListenerWrapper.WrappedLoadListener, ListenerWrapper.WrappedLogicalChangeListener<V>, ListenerWrapper.WrappedMouseListener, ListenerWrapper.WrappedMouseWheelListener, ListenerWrapper.WrappedOldDisclosureHandler, ListenerWrapper.WrappedOldFormHandler, ListenerWrapper.WrappedOldSuggestionHandler, ListenerWrapper.WrappedPopupListener, ListenerWrapper.WrappedScrollListener, ListenerWrapper.WrappedTableListener, ListenerWrapper.WrappedTabListener, ListenerWrapper.WrappedTreeListener`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `add​(SuggestBox source, SuggestionHandler listener)` | Deprecated. will be removed in GWT 2.0 along with the listener classes
    `void` | `onSelection​(SelectionEvent<SuggestOracle.Suggestion> event)` | Called when `SelectionEvent` is fired.
    `static void` | `remove​(Widget eventSource, SuggestionHandler listener)` |

    - ### Methods inherited from class com.google.gwt.user.client.ui.ListenerWrapper

      `baseRemove, getSource, setSource`

    - ### Methods inherited from class com.google.gwt.user.client.BaseListenerWrapper

      `baseRemove, getListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### add

          @Deprecated
          public static void add​(SuggestBox source,
                                 SuggestionHandler listener)

      Deprecated.
      will be removed in GWT 2.0 along with the listener classes

    - #### remove

          public static void remove​(Widget eventSource,
                                    SuggestionHandler listener)

    - #### onSelection

          public void onSelection​(SelectionEvent<SuggestOracle.Suggestion> event)

      Description copied from interface: `SelectionHandler`
      Called when `SelectionEvent` is fired.
      Specified by:
        `onSelection` in interface `SelectionHandler<SuggestOracle.Suggestion>`
      Parameters:
        `event` - the `SelectionEvent` that was fired